Rewind the file to the first line

- « SplFileObject::next

- SplFileObject::seek »

- PHP Manual
- SplFileObject
- Rewind the file to the first line

# SplFileObject::rewind

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

SplFileObject::rewind — Rewind the file to the first line

### Description

public SplFileObject::rewind(): void

Rewinds the file back to the first line.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Errors/Exceptions

Throws a RuntimeException if cannot be rewound.

### Examples

Example #1 SplFileObject::rewind() example

    <?php
    $file = new SplFileObject("misc.txt");

    // Loop over whole file
    foreach ($file as $line) { }

    // Rewind to first line
    $file->rewind();

    // Output first line
    echo $file->current();
    ?>

### See Also

- SplFileObject::current() - Retrieve current line of file
- SplFileObject::key() - Get line number
- SplFileObject::seek() - Seek to specified line
- SplFileObject::next() - Read next line
- SplFileObject::valid() - Not at EOF